Subject: bug#2388: 23.0.90; wrong-type-argument in vc-dir

From: robert marshall <[email-masked]>
Date: Mon, 23 Feb 2009 14:35:29 +0000

Dan Nicolaescu wrote:
> robert <[email-masked]> writes:
>
>   > If I run vc-dir in a svn controlled directory called 'Test Networks'
>   > (with the internal space but not the quotes!), I get a wrong-type-argument
>   > error, with the following traceback - 
>   > 
>   > Debugger entered--Lisp error: (wrong-type-argument arrayp nil)
>   >   ewoc-data(nil)
>   >   vc-dir-node-directory(nil)
>   > 
>   > when I don't have debug-on-error set to t the *vc-dir* process never
>   > completes.
>
> I can't reproduce this.
> Can you please post step by step recipe of how you get this, starting
> with emacs -Q. 
> The output of 
> svn -u status
> in that directory might be helpful too.
>   
I can't reproduce this either now :-(

I've done some checkins in that location and added a couple of files 
between when I reported the problem (which was very reproducible)
and now.
I will keep an eye on things and give a detailed recipe (and svn status) 
if it recurs.

Robert

-- 
Robert A J Marshall,  
TNEI Services Ltd, 86-90 London Road, Manchester, M1 2PW 
Registered in England & Wales No. 03891836,
Registered office:  Milburn House, Dean Street, Newcastle upon Tyne, NE1 1LE
tel: +44 161 615 6017; fax: +44 161 615 6001; mobile: +44 7759 688384 
web: http://IPSA-Power.com